Package twisted :: Package protocols :: Module ftp :: Class FTPDataPortFactory

[frames | no frames]

## Class FTPDataPortFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   FTPDataPortFactory

Factory for data connections that use the PORT command

(i.e. "active" transfers)

Method Summary
| `buildProtocol(self, connection)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`int` | `noisy` = 0
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Class Variable Details

### noisy

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:07:55 2004 | http://epydoc.sf.net